RDCode: Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion > Class Template Reference

# Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion > Class Template Reference

a Query implementing ==: arguments must match a particular value (within an optional tolerance) More...

`#include <EqualityQuery.h>`

Inheritance diagram for Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >:

List of all members.

## Public Member Functions
| EqualityQuery ()
| EqualityQuery (MatchFuncArgType v)
| constructs with our target value
| EqualityQuery (MatchFuncArgType v, MatchFuncArgType t)
| constructs with our target value and a tolerance
void | setVal (MatchFuncArgType what)
| sets our target value
const MatchFuncArgType | getVal () const
| returns our target value
void | setTol (MatchFuncArgType what)
| sets our tolerance
const MatchFuncArgType | getTol () const
| returns out tolerance
virtual bool | Match (const DataFuncArgType what) const
| returns whether or not we match the argument
virtual Query < MatchFuncArgType, DataFuncArgType, needsConversion > * | copy () const
| returns a copy of this Query
## Protected Attributes
MatchFuncArgType | d_val
MatchFuncArgType | d_tol

## Detailed Description

### template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>
class Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >

a Query implementing ==: arguments must match a particular value (within an optional tolerance)

Definition at line 17 of file EqualityQuery.h.

## Constructor & Destructor Documentation

template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::EqualityQuery | ( |  | ) | `[inline]`

Definition at line 20 of file EqualityQuery.h.

template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::EqualityQuery | ( | MatchFuncArgType | v | ) | `[inline, explicit]`

constructs with our target value

Definition at line 25 of file EqualityQuery.h.

template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::EqualityQuery | ( | MatchFuncArgType | v,
|  | MatchFuncArgType | t |
| ) |  |  | `[inline]`

constructs with our target value and a tolerance

Definition at line 31 of file EqualityQuery.h.

## Member Function Documentation

template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

void Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::setVal | ( | MatchFuncArgType | what | ) | `[inline]`

sets our target value

Definition at line 37 of file EqualityQuery.h.

Referenced by Queries::LessQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy(), Queries::LessEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy(), Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy(), Queries::GreaterEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy(), and Queries::EqualityQuery< int, Atom const *, true >::copy().

template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

const MatchFuncArgType Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::getVal | ( |  | ) | const`[inline]`

returns our target value

Definition at line 39 of file EqualityQuery.h.

template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

void Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::setTol | ( | MatchFuncArgType | what | ) | `[inline]`

sets our tolerance

Definition at line 42 of file EqualityQuery.h.

Referenced by RDKit::AtomRingQuery::copy(), Queries::LessQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy(), Queries::LessEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy(), Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy(), Queries::GreaterEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy(), and Queries::EqualityQuery< int, Atom const *, true >::copy().

template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

const MatchFuncArgType Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::getTol | ( |  | ) | const`[inline]`

returns out tolerance

Definition at line 44 of file EqualityQuery.h.

Referenced by RDKit::AtomRingQuery::copy().

template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

virtual bool Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::Match | ( | const DataFuncArgType | arg | ) | const`[inline, virtual]`

returns whether or not we match the argument

Reimplemented from Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >.

Reimplemented in Queries::GreaterEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >, Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >, Queries::LessEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >, and Queries::LessQuery< MatchFuncArgType, DataFuncArgType, needsConversion >.

Definition at line 46 of file EqualityQuery.h.

template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

virtual Query<MatchFuncArgType,DataFuncArgType,needsConversion>* Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy | ( |  | ) | const`[inline, virtual]`

returns a copy of this Query

Notes:

- the caller is responsible for `delete`ing the result

Reimplemented from Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >.

Reimplemented in RDKit::AtomRingQuery, Queries::GreaterEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >, Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >, Queries::LessEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >, and Queries::LessQuery< MatchFuncArgType, DataFuncArgType, needsConversion >.

Definition at line 66 of file EqualityQuery.h.

## Member Data Documentation

template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

MatchFuncArgType Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::d_val`[protected]`

Definition at line 75 of file EqualityQuery.h.

Referenced by RDKit::AtomRingQuery::copy(), Queries::LessQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy(), Queries::LessEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy(), Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy(), Queries::GreaterEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy(), Queries::EqualityQuery< int, Atom const *, true >::copy(), Queries::EqualityQuery< int, Atom const *, true >::getVal(), Queries::GreaterEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::GreaterEqualQuery(), Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::GreaterQuery(), Queries::LessEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::LessEqualQuery(), Queries::LessQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::LessQuery(), RDKit::AtomRingQuery::Match(), Queries::LessQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::Match(), Queries::LessEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::Match(), Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::Match(), Queries::GreaterEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::Match(), Queries::EqualityQuery< int, Atom const *, true >::Match(), and Queries::EqualityQuery< int, Atom const *, true >::setVal().

template<typename MatchFuncArgType, typename DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

MatchFuncArgType Queries::EqualityQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::d_tol`[protected]`

Definition at line 79 of file EqualityQuery.h.

Referenced by Queries::LessQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy(), Queries::LessEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy(), Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy(), Queries::GreaterEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy(), Queries::EqualityQuery< int, Atom const *, true >::copy(), Queries::EqualityQuery< int, Atom const *, true >::getTol(), Queries::GreaterEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::GreaterEqualQuery(), Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::GreaterQuery(), Queries::LessEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::LessEqualQuery(), Queries::LessQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::LessQuery(), RDKit::AtomRingQuery::Match(), Queries::LessQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::Match(), Queries::LessEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::Match(), Queries::GreaterQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::Match(), Queries::GreaterEqualQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::Match(), Queries::EqualityQuery< int, Atom const *, true >::Match(), and Queries::EqualityQuery< int, Atom const *, true >::setTol().

The documentation for this class was generated from the following file:

- EqualityQuery.h